/*
 * mp3_12.h
 *
 *  Created on: 2018/06/09
 */

#ifndef MP3_12_H_
#define MP3_12_H_

// 機能
#define PLAY_NEXT_MP3           0x91
#define PLAY_PREV_MP3           0x92
#define PLAY_OTHER_DIR          0x93
#define POWEROFF                0x94
#define GOTO_MAINMENU           0x95
#define SELECT_OTHER_MP3		0x96
#define OPTION_1				0x97
#define OPTION_2				0x98
#define OPTION_3				0x99
#define DO_NOTHING				0x9A

#define DECODE_SKIP_OUT			0
#define DECODE_SKIP_BEGIN		1
#define DECODE_SKIP_IN			2
#define DECODE_SKIP_END			3

extern void	*pDecoderSync;
extern void	*pStreamMainData;
extern void	*pFrameOverlap;
extern volatile int DecodeSkipflg;

#if defined(LIBMAD_DECODER_H)
int init_each_mp3(struct mad_decoder *decoder);		// maic.c
void skip_begin(struct mad_decoder *decoder);
void skip_end(struct mad_decoder *decoder);
#endif

void Pause();
void WaitMs(int ms);

void onBoardLed1_On();
void onBoardLed1_Off();
void onBoardLed2_On();
void onBoardLed2_Off();
void onBoardLed3_On();
void onBoardLed3_Off();
void onBoardLed4_On();
void onBoardLed4_Off();

void DebugWriteln(char *buff);
void DebugWritelnV1(char *msg, int val);

#endif /* MP3_12_H_ */
